<section class="section">
  <div class="container column is-half">
    <h1 class="is-size-3 is-size-4-mobile has-text-white-semibold has-text-white has-text-centered">Sign up</h1>
  </div>
  <div class="container column is-half login">
    <form class="new_user" id="new_user" action="/users" accept-charset="UTF-8" method="post" enctype="multipart/form-data">
      <%= hidden_field_tag :authenticity_token, form_authenticity_token %>
      <%= devise_error_messages! %>
      <div class="field">
        <div class="avatar-upload">
          <div class="avatar-edit">
              <input type='file' id="imageUpload" accept=".png, .jpg, .jpeg" name="user[avatar]">
              <label for="imageUpload" style="background-image: url(/images/menu/edit.png);"></label>
          </div>
          <div class="avatar-preview">
              <div id="imagePreview" style="background-image: url(/images/groot.jpeg);">
              </div>
          </div>
        </div>
      </div>
      <div class="field">
        <p class="control has-icons-left">
          <input autofocus="autofocus" class="input" placeholder="Full name" autocomplete="name" type="text" name="user[name]" id="user_name" required>
          <span class="icon is-small is-left">
            <i class="fa fa-user"></i>
          </span>
        </p>
      </div>
      <div class="field">
        <p class="control has-icons-left">
          <input class="input" placeholder="Nickname" autocomplete="nickname" type="text" name="user[nickname]" id="user_nickname" required>
          <span class="icon is-small is-left">
            <i class="fa fa-user"></i>
          </span>
        </p>
      </div>
      <div class="field">
        <p class="control has-icons-left has-icons-right">
          <input class="input" placeholder="Email" autofocus="autofocus" autocomplete="email" type="email" value="" name="user[email]" id="user_email" required>
          <span class="icon is-small is-left">
            <i class="fas fa-envelope"></i>
          </span>
          <span class="icon is-small is-right">
            <i class="fas fa-check"></i>
          </span>
        </p>
      </div>
      <div class="field">
        <p class="control has-icons-left">
          <input class="input" placeholder="Password" autocomplete="current-password" type="password" name="user[password]" id="user_password" required>
          <span class="icon is-small is-left">
            <i class="fas fa-lock"></i>
          </span>
        </p>
      </div>
      <div class="field">
        <p class="control has-icons-left">
          <input class="input" placeholder="Password Confirmation" autocomplete="current-password" type="password" name="user[password_confirmation]" id="user_password_confirmation" required>
          <span class="icon is-small is-left">
            <i class="fas fa-lock"></i>
          </span>
        </p>
      </div>
      <div class="field">
        <p class="control center">
          <button class="button is-fullwidth is-rounded is-primary" value="Sign up" type="submit" name="commit">
            Sign up
          </button>
        </p>
      </div>
    </form>
  </div>
  <div class="container column is-half center">
    <br/>
    <a class="button is-fullwidth is-rounded is-outlined is-link" href="/users/sign_in">Login</a><br />
  </div>
</section>
